Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface AbstractAuthoringTemplate

All Superinterfaces:
  Document, Editable, EditableItem, Hierarchical, Item, Localized, WCMApiObject, WorkflowedDocument

All Known Subinterfaces:
  AuthoringTemplate, HierarchicalTemplate, SiteAreaTemplate

    public interface AbstractAuthoringTemplate

extends Editable, WorkflowedDocument, Hierarchical

Represents an abstract authoring template. Authoring Templates are used to define the types of templated documents that can be created within the content management system. New `TemplatedDocument` objects will derive their default attributes from the `AuthoringTemplate` defined during its creation.

The `Prototype` of the `AuthoringTemplate` is used to define the set of `ContentComponent`s that make up the target `TemplateDocument` type. Since version 8.0, there are two types of `AbstractAuthoringTemplate`, `AuthoringTemplate` and `SiteAreaTemplate`. Queries that specify the AbstractTemplate `DocumentType` will return both `AuthoringTemplate`s and `SiteAreaTemplate`s. If only `AuthoringTemplate` or `SiteAreaTemplate`s are required, use the `DocumentType` for AuthoringTemplate or SiteAreaTemplate. Note that the `AbstractAuthoringTemplate` is referred to as a "Authoring Template" since 8.0 in the Authoring UI and that an `AuthoringTemplate` is referred to as a "Content Template" since 8.0 in the Authoring UI.

Since:
  8.0

Method Summary
`Prototype` | `getGenericPrototype()` Returns the `Prototype` for this authoring template.
`ContentPrototype` | `getPrototype()` Deprecated. Use getGenericPrototype() instead. Since 8.0, the prototype can be of any `Prototype` type.
`TargetableContentComponent` | `getTargetComponent()` Returns the `TargetableContentComponent` that has been set on this authoring template.
`void` | `setTargetComponent(TargetableContentComponent target)` Sets the `TargetableContentComponent` as the target component for this AuthoringTemplate.

Methods inherited from interface com.ibm.workplace.wcm.api.Editable
`addAuthors, addContributorAccessMembers, addDeleteAccessMembers, addEditAccessMembers, addEditorAccessMembers, addHistoryLogEntry, addLiveAccessMembers, addManagerAccessMembers, addMembersForAccess, addOwners, addReadAccessMembers, addUserAccessMembers, isChanged, removeAuthors, removeContributorAccessMembers, removeDeleteAccessMembers, removeEditAccessMembers, removeEditorAccessMembers, removeLiveAccessMembers, removeManagerAccessMembers, removeMembersForAccess, removeOwners, removeReadAccessMembers, removeUserAccessMembers, setContributorAccessInheritance, setDescriptionTextProviderKey, setDescriptionTextProviderName, setEditorAccessInheritance, setInheritance, setManagerAccessInheritance, setPropagation, setTitleTextProviderKey, setTitleTextProviderName, setUserAccessInheritance`

Methods inherited from interface com.ibm.workplace.wcm.api.Document
`getAuthors, getContributorAccessMembers, getCreator, getDeleteAccessMembers, getDescription, getDescriptionTextProviderKey, getDescriptionTextProviderName, getEditAccessMembers, getEditorAccessMembers, getHistoryLog, getId, getInheritedContributorAccessMembers, getInheritedEditorAccessMembers, getInheritedManagerAccessMembers, getInheritedUserAccessMembers, getLastModifier, getLiveAccessMembers, getManagerAccessMembers, getMembersForAccess, getMembersForInheritedAccess, getOwnerLibrary, getOwners, getProject, getReadAccessMembers, getSourceWorkspace, getTitle, getTitleTextProviderKey, getTitleTextProviderName, getUserAccessMembers, getVersionCatalog, getVersionStrategy, hasDeleteAccess, hasDeleteAccess, hasEditAccess, hasEditAccess, hasLiveAccess, hasLiveAccess, hasProject, hasReadAccess, hasReadAccess, isContributorAccessInherited, isEditorAccessInherited, isInherited, isManagerAccessInherited, isNew, isPropagated, isUserAccessInherited, isWorkflowed`

Methods inherited from interface com.ibm.workplace.wcm.api.Item
`getCreationDate, getDescription, getIdentity, getModifiedDate, getName, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Methods inherited from interface com.ibm.workplace.wcm.api.EditableItem
`setDescription, setName, setTitle`

Methods inherited from interface com.ibm.workplace.wcm.api.WorkflowedDocument
`addAdditionalViewers, addApprovers, approve, cancelDraftDocument, clearApprovers, createDraftDocument, decline, decline, getAdditionalViewers, getCurrentApprovers, getDateEnteredStage, getEffectiveDate, getExpiryDate, getGeneralDateOne, getGeneralDateTwo, getPendingWorkflowStatus, getPublishedDate, getPublishedId, getWorkflowId, getWorkflowStageId, getWorkflowStatus, hasApproverAccess, hasApproverAccess, hasDraft, isDraft, isDraftOfPublishedDocument, isExpired, isPublished, isWorkflowMovingBackward, nextWorkflowStage, nextWorkflowStage, nextWorkflowStage, previousWorkflowStage, previousWorkflowStage, removeAdditionalViewers, removeApprovers, restartWorkflow, setEffectiveDate, setExpiryDate, setGeneralDateOne, setGeneralDateTwo, setWorkflowId, setWorkflowId`

Methods inherited from interface com.ibm.workplace.wcm.api.Hierarchical
`getParentId`

Method Detail

### getGenericPrototype

    Prototype getGenericPrototype()

  Returns the `Prototype` for this authoring template. The type of the `Prototype` will correspond to the type of the `AuthoringTemplate`. To update the prototype, save this authoring template. This is referred to as the Default Item for an `AuthoringTemplate` in the Authoring UI.

  Returns:
    a reference to the prototype
  Since:
    8.0

### getPrototype

    ContentPrototype getPrototype()

  Deprecated. Use getGenericPrototype() instead. Since 8.0, the prototype can be of any `Prototype` type.

  Returns the `ContentPrototype` for this authoring template if this is an `AuthoringTemplate`. For other `AbstractAuthoringTemplate` type, an `IllegalStateException` will be thrown. This method is retained for pre 8.0 backwards compatibility only. To update the content prototype, save this authoring template.

  Returns:
    a reference to the content prototype
  Throws:
    `java.lang.IllegalStateException`

### getTargetComponent

    TargetableContentComponent getTargetComponent()

  Returns the `TargetableContentComponent` that has been set on this authoring template. If the the `TargetableContentComponent` hasn't been set then `null` will be returned. This method is implemented by Content Templates, but not by Site Area Templates.

  Returns:
    a copy of the current target component

### setTargetComponent

    void setTargetComponent(TargetableContentComponent target)
                            throws ComponentNotFoundException,
                                   IllegalTypeChangeException

  Sets the `TargetableContentComponent` as the target component for this AuthoringTemplate. Passing a null argument to clear target component.

  The target component controls the behavior of Content subsequently created by this template when rendered within a Menu, Navigator or by a Link Component.

  If the target component is `LinkComponent` or `FileComponent` then all links rendered to the that Content item will be directed towards the `TargetableContentComponent`. E.g. If the target component is `FileComponent` then all links to that content item will by default render as links to the embedded file resource `TargetableContentComponent`. This method is implemented by Content Templates, but not by Site Area Templates.

  Parameters:
    `target` - A `TargetableContentComponent` should already created in `ContentPrototype`.
  Throws:
    `ComponentNotFoundException` - if the given `TargetableContentComponent` doesn't exist in `ContentPrototype`
    `IllegalTypeChangeException` - if the `ContentComponent` passed in as an argument is a different type than the existing component

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD